from django import forms


class ContactForm(forms.Form):
    subject = forms.CharField(label='主题', label_suffix='：',
                              widget=forms.TextInput(attrs={'style': 'width:440px', 'maxlength': '100'}))
    # 定义标题字段，指定文本框宽度并限定字符数量。
    message = forms.CharField(label='消息', label_suffix='：', widget=forms.Textarea(attrs={'cols': '60', 'rows': '10'}))
    # 定义消息字段，指定使用文本域（多行文本框）标签，并设置标签的属性。
    sender = forms.EmailField(label='发送人', help_text='请输入正确的邮箱地址！', label_suffix='：')
    # 定义发件人字段，指定为邮箱地址类型的字段。
    cc_myself = forms.BooleanField(label='是否抄送自己', label_suffix='：', required=False)
    # 定义抄送字段，指定为布尔类型（真假值）的字段。
